Subject: Re: Beware Totally Tomatoes

From: "Philip F. Wight" <[email-masked]>
Date: 19 Feb 1995 04:14:27 GMT

Michelle - Call the credit card co. and give them details - it might not
be too late. 

When you called did you get the names of the people you talked to?  You
should ask to speak to the manager, or the CEO - that might get some
attention. 

Cheers,
Phil
----------------------
 Michelle D Johnson ([email-masked]) wrote:
: I, like many others, got the Totally Tomatoes catalog and loved it. All these
: peppers and tomatoes that I hadn't seen elsewhere. So I ordered 8 peppers and
: 4 tomatoes (I already had tons of each from other places), and 5 starter tray
: flats to use as bottoms for my 6 packs. 

: First off, TT charged my credit card account 1/11/95, the day they received
: the order, and didn't SHIP ANYTHING until 1/27/95, more than 3 weeks later. It's
: not against the law or anything, but IT STINKS. No other companies, seed or 
: otherwise, that I deal with do that.

: Second off, they shipped everything together, in a carboard box roughly 11x22,
: the size of the trays. It was held together with a single strip of cheap
: packing tape so that there were wide expanses of space that I could slide my
: hand into very easily on both the top and the bottom of the box. The seed
: packets were simply thrown in there, not rubberbanded together or in a smaller
: box, or ziploc or anything. Well, surprise, surprise. Only 3 of 4 of the
: tomatoes packets and 2 of the 8 pepper packets arrived. I assume the others
: slid out during the UPS shipping, but I honestly don't know or care. I called on
: 1/31/95 to report this problem, and was told she'd walk down to the shipping
: area to get them sent out (and this was after finding out that the ones they
: had marked as backordered were actually supposed to have been in the box, too).

: Well, today's 2/17, almost 3 weeks later, and I still don't have my missing
: seeds. I called AGAIN (this is long distance daytime rates, and really getting
: on my nerves!!), and I was told they don't keep records of calls, so don't show
: that I called on 1/31/95, but that she'd walk down to the shipping area "to see
: if we can ship these out to you". !!!!!! I am hopping mad. I paid the credit
: card bill last week, assuming that the seeds would be arriving (boy was I 
: optimistic). What recourse do I have to get either my seeds or my money back? 
: The credit card is Discover, if that makes any difference. 

: For what's it's worth, the seed trays are very nicely designed with nice, deep
: ridges on the bottom in a zigzag pattern so that there can be water in them 
: without the pots sitting in them (I'm not using them for seedling flats), and
: the most reasonably priced I'd found (5 for $6.95). 

: I just wished they paid more attention to their packing habits and their
: customer service. If you only order seeds, I hope they'll ship them in 
: something suitable and you get all of your seeds. This is the only company 
: (out of Pinetree-love them!, Porter & Sons (now extinct Texas), Parks, 
: Thompson & Morgan (overpriced and have had bad luck with their seeds as has
: our local Ag Extension Agent this year), Heirloom Seeds & Totally Tomatoes) 
: that I've gotten this kind of crappy service all around. I will NOT order from
: them in the future, but will try Tomato Growers out of Florida, which was
: recommended (belatedly) by my Ag Extension Agent.

: Your mileage may vary. Good luck. -Shelly
: -- 
: Shelly Johnson                  Computing Consultant
: [email-masked]                   CRC Collection Development Specialist
: Rice University, Houston, TX    Publications Team

---

From: [email-masked] (Karen Kolling)
Date: Sun, 19 Feb 1995 17:57:56 GMT

In article <[email-masked]> [email-masked] (Michelle D Johnson) writes:
>I, like many others, got the Totally Tomatoes catalog and loved it. All these
>peppers and tomatoes that I hadn't seen elsewhere. So I ordered 8 peppers and
>4 tomatoes (I already had tons of each from other places), and 5 starter tray
>flats to use as bottoms for my 6 packs. 
>
>First off, TT charged my credit card account 1/11/95, the day they received
>the order, and didn't SHIP ANYTHING until 1/27/95, more than 3 weeks later. It's
>not against the law or anything, but IT STINKS. No other companies, seed or 
>otherwise, that I deal with do that.

I'm also somewhat ticked off at Totally Tomatoes.  (I ordered from
them last year with no problems.)  I called them a few days ago to ask
where the seed order I'd placed in early February was, and they said
they've scheduled shipping for "next Wednesday", i.e. the 22nd.  The
other seed companies I deal with seem to ship out "just seeds" orders
by first class mail in a day or two.  I've already potted up all the
seedlings from the other companies, and it's so warm here that I'm going
to start setting plants out next week.